Subject: Re: [Pce] PCE segment routing extension

From: Jonathan Hardwick <[email-masked]>
Date: Fri, 12 Oct 2018 16:38:42 +0000

Dhruv, Marina,

In the new revision of the PCE segment routing draft (which I am about to submit) I have addressed comment (2) below by adding this text.

In section 6.2.1:
“If an ERO specifies a new SR-TE path for an existing LSP and the PCC determines that the ERO contains SR-ERO subobjects that are not valid, then the PCC MUST NOT update the LSP.”

In section 6.2.2.1:
“If an ERO specifies a new SR-TE path for an existing LSP and the PCC encounters an error while processing the ERO, then the PCC MUST NOT update the LSP.”

Thanks
Jon

From: Dhruv Dhody <[email-masked]>
Sent: Wednesday, 15 August, 2018 2:59 PM
To: Marina Fizgeer <[email-masked]>
Cc: [email-masked]; Siva Sivabalan (msiva) <[email-masked]>; Clarence Filsfils (cfilsfil) <[email-masked]>; Jeff Tantsura <[email-masked]>; [email-masked]; Jonathan Hardwick <[email-masked]>; Michael Gorokhovsky <[email-masked]>; Alexander Vainshtein <[email-masked]>; Alexander Ferdman <[email-masked]>; [email-masked]; Dhruv Dhody <[email-masked]>
Subject: Re: [Pce] PCE segment routing extension

Hi Marina,

I am the document shephered [1] for this I-D. I am working with the authors in the final stages towards RFC publication. Please see inline for my response.

Thanks!
Dhruv

[1] https://mailarchive.ietf.org/arch/msg/pce/38-FbYFEE33bTP6-yUXkKKGN8xw

On Wed, Aug 15, 2018 at 5:22 PM Marina Fizgeer <[email-masked]<mailto:[email-masked]>> wrote:
Dear authors of draft-ietf-pce-segment-routing-12,

My colleagues and I are interested in some clarifications:

1.       In section 6.2.1 “If the first SR-ERO represents an MPLS label value then the NAI field MUST NOT be absent…”

In case of binding SID as first SR-ERO, it can be MPLS label only, without NAI.
[Dhruv]: I am working with the authors in removing the restriction, you will find my rationale in [1].
But also note that while preparing MPLS label stack at PCE, this label stack should be from the POV of the ingress PCC.

2.       This draft defines the new error codes related to SR-ERO conversion, that were not defined in previous version.
What is expected behavior of PCC in additional to sending error message.

For example:

In case PCUpd for PCE initiated LSP, PCE sends new SR-ERO objects to PCC. PCC shall validate and interpret the SR-ERO EROs.

If SR-EROs cannot be converted to an MPLS label stack and a next hop, PCC shall send PCErr message with Error-Type “Reception of an invalid object”.

What is expected handling of new SR-EROs in updating LSP – LSP shall stay with old SR-ERO objects or with new ones, but in down state?
[Dhruv]: I agree that this should be clearly stated. Keeping the principle of make before break, staying on wil old SR path makes sense!

Thanks!
Dhruv

Best regards,

Marina Fizgeer
Email: [email-masked]<mailto:[email-masked]>
            [email-masked]<mailto:[email-masked]>

___________________________________________________________________________

This e-mail message is intended for the recipient only and contains information which is
CONFIDENTIAL and which may be proprietary to ECI Telecom. If you have received this
transmission in error, please inform us by e-mail, phone or fax, and then delete the original
and all copies thereof.
___________________________________________________________________________
_______________________________________________
Pce mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/pce